# FACT Geology and Mining
General geology of the world and main minerals deposits and mines (data from USGS).

---
## Use
Connect to the GitLab container registry with privileges for the FACT group:


>docker login -u FACT_token -p glpat-1zG-TQx___xLsPjj2vsG registry.git.nilu.no


Run this data service:


>docker run -t -i --name fact_mine -e MARIADB_DATABASE=FACT_mine -e MYSQL_ROOT_PASSWORD=devops -p 3314:3306 -d registry.git.nilu.no/fact/data/fact_mine:0.1

The container makes available a MariaDB instance with the full database on airports and traffic **FACT_mine**. It is reachable on port 3314 of the localhost and the root password is 'devops'.


---
## Specifications
```
Table           |Size (MB)|Rows (#)|
----------------+---------+--------+
carbonatite     |     0.05|      60|
geology         |    36.92|    9143|
geometry_columns|     0.02|      14|
global_selected |     0.45|    2121|
laterite        |     0.05|     120|
nicrpge         |     5.04|   17954|
phosphate       |     0.35|    1187|
podchrome       |     0.27|    1045|
porcu           |     0.18|     690|
potash          |     0.26|     981|
ree             |     0.15|     577|
sedcu           |     0.21|     785|
sedexmvt        |     0.09|     240|
sedznpb         |     0.14|     506|
spatial_ref_sys |     0.02|       2|
vms             |     0.25|    1090|
```

![tables schema](FACT_mine.png "Tables in DB")

In table geology, there are 17 distinct types of geological era (including NULL):
```
era                             |
--------------------------------+
Cenozoic                        |
Mesozoic                        |
Paleozoic-Mesozoic              |
Paleozoic                       |
Mesozoic-Cenozoic               |
Precambrian                     |
Neoproterozoic                  |
Archean-Paleoproterozoic        |
Mesoproterozoic                 |
Paleoproterozoic                |
Archean                         |
Paleoproterozoic-Mesoproterozoic|
Mesoproterozoic-Neoproterozoic  |
Precambrian-Phanerozoic         |
Phanerozoic                     |
Proterozoic                     |
Eoarchean                       |
                                |
```
And there are 9 distinct values of rock type:
```
rxtyp                         |
------------------------------+
volcanic rocks                |
sedimentary rocks             |
intrusive rocks               |
crystalline metamorphic rocks |
sedimentary and volcanic rocks|
volcanic and intrusive rocks  |
ice                           |
tectonic rocks                |
unclassified rocks            |
                              |
```

**All spatial objects are converted to EPSG:4326.**

---
## Notes

### Geology
General geology of the world
https://mrdata.usgs.gov/geology/gscworld/
>GSC General geologic map of the world: Chorlton, L. B. (Compiler), 2007: Generalized Geology of the World: Bedrock Domains and Major Faults in GIS Format; Geological Survey of Canada, Open File 5529, 1 CD-ROM. 
https://doi.org/10.4095/223767

### Mineral deposits:
#### World phosphate mines, deposits, and occurrences
https://mrdata.usgs.gov/phosphate/
#### Podiform chromite deposits
https://mrdata.usgs.gov/podchrome/
#### Ni-Co laterite deposits of the world
https://mrdata.usgs.gov/laterite/
#### Rare earth element mines, deposits, and occurrences
https://mrdata.usgs.gov/ree/
#### Carbonatites of the world, explored deposits of Nb and REE
https://mrdata.usgs.gov/carbonatite/
#### PGE-Ni-Cr deposit and occurrence bibliographic database
https://mrdata.usgs.gov/nicrpge/
#### Sediment-hosted copper deposits of the world
https://mrdata.usgs.gov/sedcu/
#### Porphyry copper deposits of the world
https://mrdata.usgs.gov/porcu/
#### Mineral resource data for Mississippi Valley-Type and clastic-dominated sediment-hosted lead-zinc deposits
https://mrdata.usgs.gov/sedexmvt/
#### Sediment-hosted zinc-lead deposits of the world
https://mrdata.usgs.gov/sedznpb/
#### Volcanogenic massive sulfide deposits
https://mrdata.usgs.gov/vms/
#### Evaporite-related potash resources worldwide
https://mrdata.usgs.gov/potash/
#### Global distribution of selected mines, deposits, and districts of critical minerals
https://mrdata.usgs.gov/pp1802/

---
### Authors
Riccardo Boero - ribo@nilu.no

### License
