#!/bin/bash

# geology
mkdir -p ./temp
wget -O ./temp/temp.zip -N "https://ftp.maps.canada.ca/pub/nrcan_rncan/publications/STPublications_PublicationsST/223/223767/of_5529.zip"
unzip -d ./temp/ ./temp/temp.zip
ogr2ogr -f MySQL MySQL:FACT_mine,host=plazablanca.nilu.no,user=root,password=impadminPSWD! ./temp/data/ArcMap9_ArcReader9/AllThemesMerged/gen.shp -nln geology -update -overwrite -lco engine=Aria -t_srs EPSG:4326
chmod -R u+w temp/
sudo rm -r ./temp

# single mineral maps
declare -a minerals=("phosphate" "podchrome" "laterite" "ree" "carbonatite" "nicrpge" "sedcu" "porcu" "sedexmvt" "sedznpb" "vms" "potash")
for m in "${minerals[@]}"
do
  mkdir -p ./temp
  wget -O ./temp/temp.zip -N "https://mrdata.usgs.gov/${m}/${m}-csv.zip"
  unzip -d ./temp/ ./temp/temp.zip
  ogr2ogr -f MySQL MySQL:FACT_mine,host=plazablanca.nilu.no,user=root,password=impadminPSWD! ./temp/${m}/${m}.shp -nln ${m} -update -overwrite -lco engine=Aria -t_srs EPSG:4326
  chmod -R u+w temp/
  rm -r ./temp
done

# Global distribution of selected mines, deposits, and districts of critical minerals
mkdir -p ./temp
wget -O ./temp/temp.zip -N "https://www.sciencebase.gov/catalog/file/get/594d3c8ee4b062508e39b332?name=PP1802_CritMin_Shapefiles.zip"
unzip -d ./temp/ ./temp/temp.zip
ogr2ogr -f MySQL MySQL:FACT_mine,host=plazablanca.nilu.no,user=root,password=impadminPSWD! ./temp/PP1802_CritMin_pts.shp -nln global_selected -update -overwrite -lco engine=Aria -t_srs EPSG:4326
chmod -R u+w temp/
rm -r ./temp
